summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2013-07-22 16:45:23 +0400
committerAlexey Shvetsov <alexxy@gentoo.org>2013-07-22 16:45:23 +0400
commitb6a9ef1aec5e9bf70527b8903e8704a071a39a39 (patch)
treec0e85a487466f4ca4817b467a48d1594b31cbd70
parentFix patch (diff)
downloadalexxy-b6a9ef1aec5e9bf70527b8903e8704a071a39a39.tar.gz
alexxy-b6a9ef1aec5e9bf70527b8903e8704a071a39a39.tar.bz2
alexxy-b6a9ef1aec5e9bf70527b8903e8704a071a39a39.zip
Initial import
Package-Manager: portage-2.2.0_alpha188
-rw-r--r--dev-tex/BibTool/BibTool-2.55.ebuild59
-rw-r--r--dev-tex/BibTool/Manifest1
-rw-r--r--dev-tex/BibTool/metadata.xml8
3 files changed, 68 insertions, 0 deletions
diff --git a/dev-tex/BibTool/BibTool-2.55.ebuild b/dev-tex/BibTool/BibTool-2.55.ebuild
new file mode 100644
index 0000000..d1b0115
--- /dev/null
+++ b/dev-tex/BibTool/BibTool-2.55.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+inherit flag-o-matic
+
+DESCRIPTION="BibTool is a powerful command-line tool to manipulate BibTeX databases."
+HOMEPAGE="http://www.gerd-neugebauer.de/software/TeX/BibTool.en.html"
+SRC_URI="http://mirror.ctan.org/biblio/bibtex/utils/bibtool/${P}.tar.gz"
+
+LICENSE="GPL-1"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="doc"
+
+DEPEND="
+ dev-libs/kpathsea
+ doc? ( app-text/texlive )"
+RDEPEND="$DEPEND"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare()
+{
+ sed -e 's,^INSTALL_DIR.*\./mkdirchain,INSTALL_DIR = install -d,g' \
+ -e 's,^BIBTOOL_DEFAULT.*$,BIBTOOL_DEFAULT = \\"\.:/usr/share/bibtool\\",g' \
+ -e 's,^LIBDIR.*$,LIBDIR = @libdir@/bibtool,g' \
+ -e 's,^NON_ANSI_DEFS.*,NON_ANSI_DEFS = @DEFS@ -DSTDC_HEADERS,g' \
+ -e 's,\$(INSTALLPREFIX),\$(DESTDIR)\$(INSTALLPREFIX),g' \
+ -i AutoConf/makefile.in || die
+}
+
+src_configure()
+{
+ append-flags -fno-strict-aliasing
+ econf
+ sed -i -e 's#@kpathsea_lib_static@##' makefile || die "sed failed"
+}
+
+src_compile() {
+ emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+ if use doc ; then
+ ln -s makefile Makefile
+ emake doc
+ fi
+}
+
+src_install()
+{
+ emake DESTDIR="${D}" install
+
+ doman Doc/bibtool.1 || die
+
+ if use doc ; then
+ dodoc Doc/{bibtool.pdf,c_lib.pdf,ref_card.pdf} || die
+ fi
+}
diff --git a/dev-tex/BibTool/Manifest b/dev-tex/BibTool/Manifest
new file mode 100644
index 0000000..6411a71
--- /dev/null
+++ b/dev-tex/BibTool/Manifest
@@ -0,0 +1 @@
+DIST BibTool-2.55.tar.gz 744838 SHA256 fc55764ef74eb996f2e38d743ba51d2276339e8aa3a0290d1079ea7d805aa53e SHA512 cbde2221476e5ed1f6e25c262e8faf333184cc92545856d8dab2bcd0a761ff4fd3a7eb0a0c2af912fe4efae1d53011f4edebfb24eb9eaeb815e5a16bc80996b4 WHIRLPOOL 065915ca075d47ac4c40d2a971f4d71bea7077261179516b5caf4fd65090c03fa6144ab7f76fb2f97447a62d105e295b95067b753980363e4c7311e2b7f7812d
diff --git a/dev-tex/BibTool/metadata.xml b/dev-tex/BibTool/metadata.xml
new file mode 100644
index 0000000..247f458
--- /dev/null
+++ b/dev-tex/BibTool/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>alexxy@gentoo.org</email>
+ <name>Alexey Shvetsov</name>
+ </maintainer>
+</pkgmetadata>